Package org.apache.tools.ant.taskdefs.optional.junit

# Class JUnitTask.TestResultHolder

java.lang.Object
org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.TestResultHolder

Enclosing class:
  JUnitTask

    protected static class JUnitTask.TestResultHolder
    extends java.lang.Object

A value class that contains the result of a test.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`boolean` | `crashed` | true if the test crashed
`int` | `exitCode` | the exit code of the test.
`boolean` | `timedOut` | true if the test timed out

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `TestResultHolder()` |

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### exitCode

public int exitCode
the exit code of the test.

### timedOut

public boolean timedOut
true if the test timed out

### crashed

public boolean crashed
true if the test crashed

## Constructor Details

### TestResultHolder

protected TestResultHolder()